Name:    kunifiedpush
Summary: Provides three possible provider backends for push notifications
Version: 1.0.0
Release: 1%{?dist}

License: BSD-3-Clause AND CC0-1.0 AND GPL-2.0-or-later AND LGPL-2.0-or-later
URL:     https://unifiedpush.kde.org/

Source0: https://download.kde.org/%{stable_kf6}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  kf6-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  libappstream-glib

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6WebSockets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6KCMUtils)

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description
KUnifiedPush provides push notifications for KDE applications. Push
notifications are a mechanism to support applications that occasionally
need to receive some kind of information from their server-side part, and
where receiving in a timely manner matters. Chat applications or weather
and emergency alerts would be examples for that.

%package libs
Summary: Runtime libraries for %{name}

%description libs
This package contains shared libraries for %{name}.

%package devel
Summary: Developer files for %{name}
Requires:  %{name}-libs%{?_isa} = %{version}-%{release}
Requires:  qt6-qtbase-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name --with-html

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/kcm_push_notifications.desktop

%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%{_bindir}/kunifiedpush-distributor
%{_datadir}/applications/kcm_push_notifications.desktop
%{_kf6_qtplugindir}/plasma/kcms/systemsettings/*.so
%config(missingok,noreplace) %{_sysconfdir}/xdg/KDE/kunifiedpush-distributor.conf
%{_sysconfdir}/xdg/autostart/org.kde.kunifiedpush-distributor.desktop
%{_kf6_datadir}/qlogging-categories6/org_kde_kunifiedpush.categories

%files libs
%{_libdir}/libKUnifiedPush.so.*

%files devel
%{_includedir}/KUnifiedPush/
%{_kf6_libdir}/cmake/KUnifiedPush/
%{_kf6_libdir}/libKUnifiedPush.so

%changelog
* Mon Oct 21 2024 Didier FABERT <didier.fabert@gmail.com> - 1.0.0-1
- First release


